import {SET_CURRENT_USER, LOGOUT_USER} from '../actions/session_actions'
import { RECEIVE_USER_CART } from '../actions/cart_actions';

const initialState = {
    currentUser: null,
    cart: {},
}
const userReducer = (state = initialState, action) => {
    Object.freeze(state);
    let newState = Object.assign({}, state);
    switch (action.type) {
        case SET_CURRENT_USER:
            return newState.currentUser = { emailAddress: 'fakeEmail@123'};
        case LOGOUT_USER:
            return newState.currentUser = null;
        case RECEIVE_USER_CART:
            return newState.cart = action.cart
        default:
            return state;
    }
}

export default userReducer;
